Subject: Re: [PATCH] ref-filter: fix stale parsed objects

From: Junio C Hamano <[email-masked]>
Date: Tue, 04 Nov 2025 07:26:25 -0800

Patrick Steinhardt <[email-masked]> writes:

> This is only an issue for a subset of retrieved values, as not all of
> the infrastructure ends up calling `get_or_parse_object()`. So the
> effect is limited, which is probably why the issue wasn't detected
> earlier.
>
> Fix the issue by resetting `maybe_object` in `get_object()`.

Yup, I got lucky as  --sort=version:tag is one of the things I use
at least once a week.

Will queue on top of that topic and immediately merge down to
'next'.

Thanks.